<?xml version="1.0" encoding="UTF-8"?>

<!--XBRL Document Created with the Workiva Platform-->
<!--Copyright 2025 Workiva-->
<!--r:2e806812-9173-480e-b7ff-90bea8d389ad,g:5f4d99e6-2b40-498a-878c-009749a91315-->
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:hgit="http://www.hinessecurities.com/20250930" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:dtr-types="http://www.xbrl.org/dtr/type/2024-01-31" xmlns:xbrldt="http://xbrl.org/2005/xbrldt" attributeFormDefault="unqualified" elementFormDefault="qualified" targetNamespace="http://www.hinessecurities.com/20250930">
  <xs:import namespace="http://fasb.org/srt/2025" schemaLocation="https://xbrl.fasb.org/srt/2025/elts/srt-2025.xsd"/>
  <xs:import namespace="http://fasb.org/us-gaap/2025" schemaLocation="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd"/>
  <xs:import namespace="http://www.xbrl.org/2003/instance" schemaLocation="http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd"/>
  <xs:import namespace="http://www.xbrl.org/2003/linkbase" schemaLocation="http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd"/>
  <xs:import namespace="http://www.xbrl.org/dtr/type/2024-01-31" schemaLocation="https://www.xbrl.org/dtr/type/2024-01-31/types.xsd"/>
  <xs:import namespace="http://xbrl.org/2005/xbrldt" schemaLocation="http://www.xbrl.org/2005/xbrldt-2005.xsd"/>
  <xs:import namespace="http://xbrl.sec.gov/country/2025" schemaLocation="https://xbrl.sec.gov/country/2025/country-2025.xsd"/>
  <xs:import namespace="http://xbrl.sec.gov/dei/2025" schemaLocation="https://xbrl.sec.gov/dei/2025/dei-2025.xsd"/>
  <xs:import namespace="http://xbrl.sec.gov/ecd/2025" schemaLocation="https://xbrl.sec.gov/ecd/2025/ecd-2025.xsd"/>
  <xs:annotation>
    <xs:appinfo>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="hgit-20250930_pre.xml" xlink:role="http://www.xbrl.org/2003/role/presentationLinkbaseRef" xlink:type="simple"/>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="hgit-20250930_def.xml" xlink:role="http://www.xbrl.org/2003/role/definitionLinkbaseRef" xlink:type="simple"/>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="hgit-20250930_lab.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple"/>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="hgit-20250930_cal.xml" xlink:role="http://www.xbrl.org/2003/role/calculationLinkbaseRef" xlink:type="simple"/>
      <link:roleType id="CoverPage" roleURI="http://www.hinessecurities.com/role/CoverPage">
        <link:definition>0000001 - Document - Cover Page</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="CondensedConsolidatedBalanceSheetsUnaudited" roleURI="http://www.hinessecurities.com/role/CondensedConsolidatedBalanceSheetsUnaudited">
        <link:definition>9952151 - Statement - Condensed Consolidated Balance Sheets (Unaudited)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="CondensedConsolidatedBalanceSheetsUnauditedParenthetical" roleURI="http://www.hinessecurities.com/role/CondensedConsolidatedBalanceSheetsUnauditedParenthetical">
        <link:definition>9952152 - Statement - Condensed Consolidated Balance Sheets (Unaudited) (Parenthetical)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="CondensedConsolidatedStatementsofOperationsandComprehensiveIncomeLossUnaudited" roleURI="http://www.hinessecurities.com/role/CondensedConsolidatedStatementsofOperationsandComprehensiveIncomeLossUnaudited">
        <link:definition>9952153 - Statement - Condensed Consolidated Statements of Operations and Comprehensive Income (Loss) (Unaudited)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="CondensedConsolidatedStatementsofEquityUnaudited" roleURI="http://www.hinessecurities.com/role/CondensedConsolidatedStatementsofEquityUnaudited">
        <link:definition>9952154 - Statement - Condensed Consolidated Statements of Equity (Unaudited)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="CondensedConsolidatedStatementsofCashFlowsUnaudited" roleURI="http://www.hinessecurities.com/role/CondensedConsolidatedStatementsofCashFlowsUnaudited">
        <link:definition>9952155 - Statement - Condensed Consolidated Statements of Cash Flows (Unaudited)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="Organization" roleURI="http://www.hinessecurities.com/role/Organization">
        <link:definition>9952156 - Disclosure - Organization</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="SummaryofSignificantAccountingPolicies" roleURI="http://www.hinessecurities.com/role/SummaryofSignificantAccountingPolicies">
        <link:definition>9952157 - Disclosure - Summary of Significant Accounting Policies</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="InvestmentProperty" roleURI="http://www.hinessecurities.com/role/InvestmentProperty">
        <link:definition>9952158 - Disclosure - Investment Property</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="DSTProgram" roleURI="http://www.hinessecurities.com/role/DSTProgram">
        <link:definition>9952159 - Disclosure - DST Program</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="DebtFinancing" roleURI="http://www.hinessecurities.com/role/DebtFinancing">
        <link:definition>9952160 - Disclosure - Debt Financing</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="DerivativeInstruments" roleURI="http://www.hinessecurities.com/role/DerivativeInstruments">
        <link:definition>9952161 - Disclosure - Derivative Instruments</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StockholdersEquity" roleURI="http://www.hinessecurities.com/role/StockholdersEquity">
        <link:definition>9952162 - Disclosure - Stockholders' Equity</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="RelatedPartyTransactions" roleURI="http://www.hinessecurities.com/role/RelatedPartyTransactions">
        <link:definition>9952163 - Disclosure - Related Party Transactions</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="FairValueMeasurements" roleURI="http://www.hinessecurities.com/role/FairValueMeasurements">
        <link:definition>9952164 - Disclosure - Fair Value Measurements</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="ReportableSegments" roleURI="http://www.hinessecurities.com/role/ReportableSegments">
        <link:definition>9952165 - Disclosure - Reportable Segments</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="SupplementalCashFlowDisclosures" roleURI="http://www.hinessecurities.com/role/SupplementalCashFlowDisclosures">
        <link:definition>9952166 - Disclosure - Supplemental Cash Flow Disclosures</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="CommitmentsandContingencies" roleURI="http://www.hinessecurities.com/role/CommitmentsandContingencies">
        <link:definition>9952167 - Disclosure - Commitments and Contingencies</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="SubsequentEvents" roleURI="http://www.hinessecurities.com/role/SubsequentEvents">
        <link:definition>9952168 - Disclosure - Subsequent Events</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="SummaryofSignificantAccountingPoliciesPolicies" roleURI="http://www.hinessecurities.com/role/SummaryofSignificantAccountingPoliciesPolicies">
        <link:definition>9955511 - Disclosure - Summary of Significant Accounting Policies (Policies)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="SummaryofSignificantAccountingPoliciesTables" roleURI="http://www.hinessecurities.com/role/SummaryofSignificantAccountingPoliciesTables">
        <link:definition>9955512 - Disclosure - Summary of Significant Accounting Policies (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="InvestmentPropertyTables" roleURI="http://www.hinessecurities.com/role/InvestmentPropertyTables">
        <link:definition>9955513 - Disclosure - Investment Property (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="DebtFinancingTables" roleURI="http://www.hinessecurities.com/role/DebtFinancingTables">
        <link:definition>9955514 - Disclosure - Debt Financing (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="DerivativeInstrumentsTables" roleURI="http://www.hinessecurities.com/role/DerivativeInstrumentsTables">
        <link:definition>9955515 - Disclosure - Derivative Instruments (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StockholdersEquityTables" roleURI="http://www.hinessecurities.com/role/StockholdersEquityTables">
        <link:definition>9955516 - Disclosure - Stockholders' Equity (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="RelatedPartyTransactionsTables" roleURI="http://www.hinessecurities.com/role/RelatedPartyTransactionsTables">
        <link:definition>9955517 - Disclosure - Related Party Transactions (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="FairValueMeasurementsTables" roleURI="http://www.hinessecurities.com/role/FairValueMeasurementsTables">
        <link:definition>9955518 - Disclosure - Fair Value Measurements (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="ReportableSegmentsTables" roleURI="http://www.hinessecurities.com/role/ReportableSegmentsTables">
        <link:definition>9955519 - Disclosure - Reportable Segments (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="SupplementalCashFlowDisclosuresTables" roleURI="http://www.hinessecurities.com/role/SupplementalCashFlowDisclosuresTables">
        <link:definition>9955520 - Disclosure - Supplemental Cash Flow Disclosures (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="OrganizationDetails" roleURI="http://www.hinessecurities.com/role/OrganizationDetails">
        <link:definition>9955521 - Disclosure - Organization (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="SummaryofSignificantAccountingPoliciesGainLossRecordedonInvestmentsinRealEstateRelatedSecuritiesDetails" roleURI="http://www.hinessecurities.com/role/SummaryofSignificantAccountingPoliciesGainLossRecordedonInvestmentsinRealEstateRelatedSecuritiesDetails">
        <link:definition>9955522 - Disclosure - Summary of Significant Accounting Policies (Gain (Loss) Recorded on Investments in Real Estate-Related Securities) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="SummaryofSignificantAccountingPoliciesNarrativeDetails" roleURI="http://www.hinessecurities.com/role/SummaryofSignificantAccountingPoliciesNarrativeDetails">
        <link:definition>9955523 - Disclosure - Summary of Significant Accounting Policies (Narrative) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="SummaryofSignificantAccountingPoliciesOtherAssetsDetails" roleURI="http://www.hinessecurities.com/role/SummaryofSignificantAccountingPoliciesOtherAssetsDetails">
        <link:definition>9955524 - Disclosure - Summary of Significant Accounting Policies (Other Assets) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="SummaryofSignificantAccountingPoliciesGroundLeasesAndOperatingAndFinancingLeasesDetails" roleURI="http://www.hinessecurities.com/role/SummaryofSignificantAccountingPoliciesGroundLeasesAndOperatingAndFinancingLeasesDetails">
        <link:definition>9955525 - Disclosure - Summary of Significant Accounting Policies (Ground Leases And Operating And Financing Leases) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="SummaryofSignificantAccountingPoliciesLeaseMaturityDetails" roleURI="http://www.hinessecurities.com/role/SummaryofSignificantAccountingPoliciesLeaseMaturityDetails">
        <link:definition>9955526 - Disclosure - Summary of Significant Accounting Policies (Lease Maturity) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="SummaryofSignificantAccountingPoliciesLeaseMaturityDetails_1" roleURI="http://www.hinessecurities.com/role/SummaryofSignificantAccountingPoliciesLeaseMaturityDetails_1">
        <link:definition>9955526 - Disclosure - Summary of Significant Accounting Policies (Lease Maturity) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="InvestmentPropertyScheduleofInvestmentPropertyDetails" roleURI="http://www.hinessecurities.com/role/InvestmentPropertyScheduleofInvestmentPropertyDetails">
        <link:definition>9955527 - Disclosure - Investment Property (Schedule of Investment Property) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="InvestmentPropertyNarrativesDetails" roleURI="http://www.hinessecurities.com/role/InvestmentPropertyNarrativesDetails">
        <link:definition>9955528 - Disclosure - Investment Property (Narratives) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="InvestmentPropertyNetPurchasePriceForAcquisitionsDetails" roleURI="http://www.hinessecurities.com/role/InvestmentPropertyNetPurchasePriceForAcquisitionsDetails">
        <link:definition>9955529 - Disclosure - Investment Property (Net Purchase Price For Acquisitions) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="InvestmentPropertyIntangibleAssetsDetails" roleURI="http://www.hinessecurities.com/role/InvestmentPropertyIntangibleAssetsDetails">
        <link:definition>9955530 - Disclosure - Investment Property (Intangible Assets) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="InvestmentPropertyIntangibleAssetsAmortizationDetails" roleURI="http://www.hinessecurities.com/role/InvestmentPropertyIntangibleAssetsAmortizationDetails">
        <link:definition>9955531 - Disclosure - Investment Property (Intangible Assets Amortization) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="InvestmentPropertyFutureMinimumRentDetails" roleURI="http://www.hinessecurities.com/role/InvestmentPropertyFutureMinimumRentDetails">
        <link:definition>9955532 - Disclosure - Investment Property (Future Minimum Rent) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="DSTProgramDetails" roleURI="http://www.hinessecurities.com/role/DSTProgramDetails">
        <link:definition>9955533 - Disclosure - DST Program (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="DebtFinancingNarrativesDetails" roleURI="http://www.hinessecurities.com/role/DebtFinancingNarrativesDetails">
        <link:definition>9955534 - Disclosure - Debt Financing (Narratives) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="DebtFinancingScheduleofDebtDetails" roleURI="http://www.hinessecurities.com/role/DebtFinancingScheduleofDebtDetails">
        <link:definition>9955535 - Disclosure - Debt Financing (Schedule of Debt) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="DebtFinancingMaturityScheduleDetails" roleURI="http://www.hinessecurities.com/role/DebtFinancingMaturityScheduleDetails">
        <link:definition>9955536 - Disclosure - Debt Financing (Maturity Schedule) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="DerivativeInstrumentsInterestRateContractsDetails" roleURI="http://www.hinessecurities.com/role/DerivativeInstrumentsInterestRateContractsDetails">
        <link:definition>9955537 - Disclosure - Derivative Instruments (Interest Rate Contracts) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="DerivativeInstrumentsStatementofOperationsGainLossDetails" roleURI="http://www.hinessecurities.com/role/DerivativeInstrumentsStatementofOperationsGainLossDetails">
        <link:definition>9955538 - Disclosure - Derivative Instruments (Statement of Operations Gain Loss) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StockholdersEquityNarrativeDetails" roleURI="http://www.hinessecurities.com/role/StockholdersEquityNarrativeDetails">
        <link:definition>9955539 - Disclosure - Stockholders' Equity (Narrative) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StockholdersEquityClassesofSharesofCommonStockAuthorizedIssuedandOutstandingDetails" roleURI="http://www.hinessecurities.com/role/StockholdersEquityClassesofSharesofCommonStockAuthorizedIssuedandOutstandingDetails">
        <link:definition>9955540 - Disclosure - Stockholders' Equity (Classes of Shares of Common Stock Authorized, Issued and Outstanding) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StockholdersEquityIssuancesandRedemptionsofEachClassofCommonStockDetails" roleURI="http://www.hinessecurities.com/role/StockholdersEquityIssuancesandRedemptionsofEachClassofCommonStockDetails">
        <link:definition>9955541 - Disclosure - Stockholders' Equity (Issuances and Redemptions of Each Class of Common Stock) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StockholdersEquityDistributionsDetails" roleURI="http://www.hinessecurities.com/role/StockholdersEquityDistributionsDetails">
        <link:definition>9955542 - Disclosure - Stockholders' Equity (Distributions) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="RelatedPartyTransactionsFeesandExpenseReimbursementsIncurredDetails" roleURI="http://www.hinessecurities.com/role/RelatedPartyTransactionsFeesandExpenseReimbursementsIncurredDetails">
        <link:definition>9955543 - Disclosure - Related Party Transactions (Fees and Expense Reimbursements Incurred) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="RelatedPartyTransactionsNarrativeDetails" roleURI="http://www.hinessecurities.com/role/RelatedPartyTransactionsNarrativeDetails">
        <link:definition>9955544 - Disclosure - Related Party Transactions (Narrative) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="FairValueMeasurementsBasisofFairValueMeasurementsDetails" roleURI="http://www.hinessecurities.com/role/FairValueMeasurementsBasisofFairValueMeasurementsDetails">
        <link:definition>9955545 - Disclosure - Fair Value Measurements (Basis of Fair Value Measurements) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="FairValueMeasurementsNarrativeDetails" roleURI="http://www.hinessecurities.com/role/FairValueMeasurementsNarrativeDetails">
        <link:definition>9955546 - Disclosure - Fair Value Measurements (Narrative) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="ReportableSegmentsNarrativesDetails" roleURI="http://www.hinessecurities.com/role/ReportableSegmentsNarrativesDetails">
        <link:definition>9955547 - Disclosure - Reportable Segments (Narratives) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="ReportableSegmentsRevenuesinExcessofPropertyOperatingExpensesDetails" roleURI="http://www.hinessecurities.com/role/ReportableSegmentsRevenuesinExcessofPropertyOperatingExpensesDetails">
        <link:definition>9955548 - Disclosure - Reportable Segments (Revenues in Excess of Property Operating Expenses) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="ReportableSegmentsTotalRevenueGeographicalDetails" roleURI="http://www.hinessecurities.com/role/ReportableSegmentsTotalRevenueGeographicalDetails">
        <link:definition>9955549 - Disclosure - Reportable Segments (Total Revenue - Geographical) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="ReportableSegmentsRevenuesinExcessofExpensesDetails" roleURI="http://www.hinessecurities.com/role/ReportableSegmentsRevenuesinExcessofExpensesDetails">
        <link:definition>9955550 - Disclosure - Reportable Segments (Revenues in Excess of Expenses) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="ReportableSegmentsAssetsbySegmentDetails" roleURI="http://www.hinessecurities.com/role/ReportableSegmentsAssetsbySegmentDetails">
        <link:definition>9955551 - Disclosure - Reportable Segments (Assets by Segment) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="ReportableSegmentsAssetsbyGeographicalLocationDetails" roleURI="http://www.hinessecurities.com/role/ReportableSegmentsAssetsbyGeographicalLocationDetails">
        <link:definition>9955552 - Disclosure - Reportable Segments (Assets by Geographical Location) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="ReportableSegmentsReconciliationofPropertyRevenueinExcessofPropertyOperatingExpensesDetails" roleURI="http://www.hinessecurities.com/role/ReportableSegmentsReconciliationofPropertyRevenueinExcessofPropertyOperatingExpensesDetails">
        <link:definition>9955553 - Disclosure - Reportable Segments (Reconciliation of Property Revenue in Excess of Property Operating Expenses) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="SupplementalCashFlowDisclosuresDetails" roleURI="http://www.hinessecurities.com/role/SupplementalCashFlowDisclosuresDetails">
        <link:definition>9955554 - Disclosure - Supplemental Cash Flow Disclosures (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="SubsequentEventsDetails" roleURI="http://www.hinessecurities.com/role/SubsequentEventsDetails">
        <link:definition>9955555 - Disclosure - Subsequent Events (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
    </xs:appinfo>
  </xs:annotation>
  <xs:element id="hgit_CommonClassAXMember" abstract="true" name="CommonClassAXMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="hgit_CommonClassJXMember" abstract="true" name="CommonClassJXMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="hgit_CommonClassTMember" abstract="true" name="CommonClassTMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="hgit_CommonClassSMember" abstract="true" name="CommonClassSMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="hgit_CommonClassDMember" abstract="true" name="CommonClassDMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="hgit_CommonClassIMember" abstract="true" name="CommonClassIMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="hgit_TenantAndOtherReceivables" abstract="false" name="TenantAndOtherReceivables" nillable="true" xbrli:periodType="instant" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="hgit_DeferredFinancingCostsNetRevolvingCreditFacilities" abstract="false" name="DeferredFinancingCostsNetRevolvingCreditFacilities" nillable="true" xbrli:periodType="instant" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="hgit_FinancingObligations" abstract="false" name="FinancingObligations" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="hgit_AssetManagementAndAcquisitionFees" abstract="false" name="AssetManagementAndAcquisitionFees" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="hgit_IncomeTaxExpenseBenefitSaleOfRealEstate" abstract="false" name="IncomeTaxExpenseBenefitSaleOfRealEstate" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="hgit_SellingCommissionsDealerManagerFeesAndDistributionAndStockholderServicingFees" abstract="false" name="SellingCommissionsDealerManagerFeesAndDistributionAndStockholderServicingFees" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="hgit_DepreciationAndAmortization1" abstract="false" name="DepreciationAndAmortization1" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="hgit_IncreaseDecreaseInTenantAndOtherReceivables" abstract="false" name="IncreaseDecreaseInTenantAndOtherReceivables" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="hgit_PaymentOfSellingCommissionsDealerManagerFeesAndDistributionAndStockholderServicingFees" abstract="false" name="PaymentOfSellingCommissionsDealerManagerFeesAndDistributionAndStockholderServicingFees" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="hgit_ProceedsFromFinancingObligations" abstract="false" name="ProceedsFromFinancingObligations" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="hgit_PaymentsOnFinancingObligations" abstract="false" name="PaymentsOnFinancingObligations" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="hgit_ProceedsFromPaymentsForSecurityDeposit" abstract="false" name="ProceedsFromPaymentsForSecurityDeposit" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="hgit_StatutoryTrustProgramAbstract" abstract="true" name="StatutoryTrustProgramAbstract" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:stringItemType"/>
  <xs:element id="hgit_BeneficialInterestPrivatePlacementOfferingsTextBlock" abstract="false" name="BeneficialInterestPrivatePlacementOfferingsTextBlock" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:textBlockItemType"/>
  <xs:element id="hgit_ReconciliationOfPropertyRevenuesInExcessOfExpensesFromSegmentsToConsolidatedTableTextBlock" abstract="false" name="ReconciliationOfPropertyRevenuesInExcessOfExpensesFromSegmentsToConsolidatedTableTextBlock" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:textBlockItemType"/>
  <xs:element id="hgit_HinesGlobalREITIIPropertiesLPMember" abstract="true" name="HinesGlobalREITIIPropertiesLPMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="hgit_HinesGlobalREITIIAssociatesLPMember" abstract="true" name="HinesGlobalREITIIAssociatesLPMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="hgit_PublicOfferingsMember" abstract="true" name="PublicOfferingsMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="hgit_DelawareStatutoryTrustPropertyMember" abstract="true" name="DelawareStatutoryTrustPropertyMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="hgit_SaleOfStockMaximumConsideration" abstract="false" name="SaleOfStockMaximumConsideration" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="hgit_SaleOfStockConsiderationReceivedOnTransactionCumulative" abstract="false" name="SaleOfStockConsiderationReceivedOnTransactionCumulative" nillable="true" xbrli:periodType="instant" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="hgit_SaleOfStockNumberOfSharesIssuedInTransactionCumulative" abstract="false" name="SaleOfStockNumberOfSharesIssuedInTransactionCumulative" nillable="true" xbrli:periodType="instant" substitutionGroup="xbrli:item" type="xbrli:sharesItemType"/>
  <xs:element id="hgit_PercentageOfPortfolioLeased" abstract="false" name="PercentageOfPortfolioLeased" nillable="true" xbrli:periodType="instant" substitutionGroup="xbrli:item" type="dtr-types:percentItemType"/>
  <xs:element id="hgit_NumberOfPropertiesHeldUnderProgram" abstract="false" name="NumberOfPropertiesHeldUnderProgram" nillable="true" xbrli:periodType="instant" substitutionGroup="xbrli:item" type="xbrli:integerItemType"/>
  <xs:element id="hgit_TenantReimbursementsAndBaseRentReceivable" abstract="false" name="TenantReimbursementsAndBaseRentReceivable" nillable="true" xbrli:periodType="instant" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="hgit_LesseeOperatingLeaseNumberOfAgreements" abstract="false" name="LesseeOperatingLeaseNumberOfAgreements" nillable="true" xbrli:periodType="instant" substitutionGroup="xbrli:item" type="xbrli:integerItemType"/>
  <xs:element id="hgit_LesseeFinanceLeaseNumberOfAgreements" abstract="false" name="LesseeFinanceLeaseNumberOfAgreements" nillable="true" xbrli:periodType="instant" substitutionGroup="xbrli:item" type="xbrli:integerItemType"/>
  <xs:element id="hgit_SummaryofSignificantAccountingPoliciesTable" abstract="true" name="SummaryofSignificantAccountingPoliciesTable" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrldt:hypercubeItem" type="xbrli:stringItemType"/>
  <xs:element id="hgit_TortonaLogisticsMember" abstract="true" name="TortonaLogisticsMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="hgit_MaintalLogisticsMember" abstract="true" name="MaintalLogisticsMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="hgit_SummaryofSignificantAccountingPoliciesLineItems" abstract="true" name="SummaryofSignificantAccountingPoliciesLineItems" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:stringItemType"/>
  <xs:element id="hgit_FinanceLeaseCostAbstract" abstract="true" name="FinanceLeaseCostAbstract" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:stringItemType"/>
  <xs:element id="hgit_CentralEuropeanIndustrialPropertiesMember" abstract="true" name="CentralEuropeanIndustrialPropertiesMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="hgit_CentralEuropeanIndustrialPropertiesPlacedIntoServiceMember" abstract="true" name="CentralEuropeanIndustrialPropertiesPlacedIntoServiceMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="hgit_NumberOfProperties" abstract="false" name="NumberOfProperties" nillable="true" xbrli:periodType="instant" substitutionGroup="xbrli:item" type="xbrli:integerItemType"/>
  <xs:element id="hgit_OutOfMarketLeasesNetMember" abstract="true" name="OutOfMarketLeasesNetMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="hgit_AssetAcquisitionNumberOfAssetAcquisitions" abstract="false" name="AssetAcquisitionNumberOfAssetAcquisitions" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:integerItemType"/>
  <xs:element id="hgit_Junction27Member" abstract="true" name="Junction27Member" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="hgit_A185LogisticsMember" abstract="true" name="A185LogisticsMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="hgit_GeorgiaInternationalTradeCenterMember" abstract="true" name="GeorgiaInternationalTradeCenterMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="hgit_UptonCrossingMember" abstract="true" name="UptonCrossingMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="hgit_ThePeelCentreMember" abstract="true" name="ThePeelCentreMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="hgit_MontroseCollectiveMember" abstract="true" name="MontroseCollectiveMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="hgit_RunwayRetailMember" abstract="true" name="RunwayRetailMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="hgit_RunwayLivingMember" abstract="true" name="RunwayLivingMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="hgit_FiniteLivedIntangibleLiabilitiesAcquired" abstract="false" name="FiniteLivedIntangibleLiabilitiesAcquired" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="hgit_AssetAcquisitionRightOfUseAssetNet" abstract="false" name="AssetAcquisitionRightOfUseAssetNet" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="hgit_AssetAcquisitionAssetsAcquiredAndLiabilitiesAssumedNet" abstract="false" name="AssetAcquisitionAssetsAcquiredAndLiabilitiesAssumedNet" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="hgit_StatutoryTrustProgramTable" abstract="true" name="StatutoryTrustProgramTable" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrldt:hypercubeItem" type="xbrli:stringItemType"/>
  <xs:element id="hgit_StatutoryTrustProgramLineItems" abstract="true" name="StatutoryTrustProgramLineItems" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:stringItemType"/>
  <xs:element id="hgit_PrivatePlacementOfferingsPropertyLeaseTerm" abstract="false" name="PrivatePlacementOfferingsPropertyLeaseTerm" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:durationItemType"/>
  <xs:element id="hgit_PrivatePlacementOfferingsDurationToAcquireBeneficialInterestOnProgramTerm" abstract="false" name="PrivatePlacementOfferingsDurationToAcquireBeneficialInterestOnProgramTerm" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:durationItemType"/>
  <xs:element id="hgit_PrivatePlacementOfferingLengthOfAgreementPriorToClosingOfOffering" abstract="false" name="PrivatePlacementOfferingLengthOfAgreementPriorToClosingOfOffering" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:durationItemType"/>
  <xs:element id="hgit_SeriesCSeniorNotesMember" abstract="true" name="SeriesCSeniorNotesMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="hgit_SeriesDESeniorNotesMember" abstract="true" name="SeriesDESeniorNotesMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="hgit_DebtWeightedAverageYearsToMaturity" abstract="false" name="DebtWeightedAverageYearsToMaturity" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:durationItemType"/>
  <xs:element id="hgit_SellerFinancedDebtMember" abstract="true" name="SellerFinancedDebtMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="hgit_PrivatePlacementNotesMember" abstract="true" name="PrivatePlacementNotesMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="hgit_FloatingRateSecuredMortgageDebtMember" abstract="true" name="FloatingRateSecuredMortgageDebtMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="hgit_CreditAgreementMaturingMarch2028Member" abstract="true" name="CreditAgreementMaturingMarch2028Member" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="hgit_NotesPayableFixedRateMember" abstract="true" name="NotesPayableFixedRateMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="hgit_NotesPayableVariableRateMember" abstract="true" name="NotesPayableVariableRateMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="hgit_TermLoanFacilityMember" abstract="true" name="TermLoanFacilityMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="hgit_DeferredFinancingCostsNetPermanentMortgages" abstract="false" name="DeferredFinancingCostsNetPermanentMortgages" nillable="true" xbrli:periodType="instant" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="hgit_LongTermDebtMaturityAfterYearFour" abstract="false" name="LongTermDebtMaturityAfterYearFour" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="hgit_CommonStockNumberOfAdditionalClassesOfStock" abstract="false" name="CommonStockNumberOfAdditionalClassesOfStock" nillable="true" xbrli:periodType="instant" substitutionGroup="xbrli:item" type="xbrli:integerItemType"/>
  <xs:element id="hgit_CommonStockDividendsPerSharePerMonthDeclared" abstract="false" name="CommonStockDividendsPerSharePerMonthDeclared" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:perShareItemType"/>
  <xs:element id="hgit_CommonClassTXMember" abstract="true" name="CommonClassTXMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="hgit_CommonClassIXMember" abstract="true" name="CommonClassIXMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="hgit_SellingCommissionsMember" abstract="true" name="SellingCommissionsMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="hgit_DealerManagerFeeMember" abstract="true" name="DealerManagerFeeMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="hgit_DistributionandStockholderServicingExpenseMember" abstract="true" name="DistributionandStockholderServicingExpenseMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="hgit_IssuerCostsMember" abstract="true" name="IssuerCostsMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="hgit_AssetManagementFeeMember" abstract="true" name="AssetManagementFeeMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="hgit_OtherFeesMember" abstract="true" name="OtherFeesMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="hgit_PerformanceParticipationAllocationMember" abstract="true" name="PerformanceParticipationAllocationMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="hgit_PropertyManagementFeesMember" abstract="true" name="PropertyManagementFeesMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="hgit_ConstructionManagementFeesMember" abstract="true" name="ConstructionManagementFeesMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="hgit_LeasingFeeMember" abstract="true" name="LeasingFeeMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="hgit_ExpenseReimbursementsMember" abstract="true" name="ExpenseReimbursementsMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="hgit_RentReceivablesMember" abstract="true" name="RentReceivablesMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="hgit_DealerManagerMember" abstract="true" name="DealerManagerMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="hgit_AdvisorMember" abstract="true" name="AdvisorMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="hgit_HinesMember" abstract="true" name="HinesMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="hgit_PercentageCalculationBasebyCategoryAxis" abstract="true" name="PercentageCalculationBasebyCategoryAxis" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrldt:dimensionItem" type="xbrli:stringItemType"/>
  <xs:element id="hgit_PercentageCalculationBaseByCategoryDomain" abstract="true" name="PercentageCalculationBaseByCategoryDomain" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="hgit_CostofRealEstateInvestmentsPerMonthMember" abstract="true" name="CostofRealEstateInvestmentsPerMonthMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="hgit_MonthlyAssetManagementFeeMember" abstract="true" name="MonthlyAssetManagementFeeMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="hgit_OtherLiabilitiesOffset" abstract="false" name="OtherLiabilitiesOffset" nillable="true" xbrli:periodType="instant" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="hgit_RelatedPartyFeePercentage" abstract="false" name="RelatedPartyFeePercentage" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:percentItemType"/>
  <xs:element id="hgit_ManagementFeeWaivedPercentage" abstract="false" name="ManagementFeeWaivedPercentage" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:percentItemType"/>
  <xs:element id="hgit_ManagementAndServiceFeesIncentiveRateSubjectToRequiredReturnPercentage" abstract="false" name="ManagementAndServiceFeesIncentiveRateSubjectToRequiredReturnPercentage" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:percentItemType"/>
  <xs:element id="hgit_RelatedPartyTransactionDSTProgramUpfrontSellingCommissionsMember" abstract="true" name="RelatedPartyTransactionDSTProgramUpfrontSellingCommissionsMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="hgit_RelatedPartyTransactionDSTProgramUpfrontDealerManagerFeesMember" abstract="true" name="RelatedPartyTransactionDSTProgramUpfrontDealerManagerFeesMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="hgit_RelatedPartyTransactionDSTProgramOrganizationAndOfferingFeesMember" abstract="true" name="RelatedPartyTransactionDSTProgramOrganizationAndOfferingFeesMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="hgit_RelatedPartyTransactionDSTProgramDealerManagerOngoingFeesMember" abstract="true" name="RelatedPartyTransactionDSTProgramDealerManagerOngoingFeesMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="hgit_RelatedPartyTransactionDSTProgramMember" abstract="true" name="RelatedPartyTransactionDSTProgramMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="hgit_OfficeRealEstateInvestmentsMember" abstract="true" name="OfficeRealEstateInvestmentsMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="hgit_IndustrialInvestmentsMember" abstract="true" name="IndustrialInvestmentsMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="hgit_ResidentialLivingInvestmentsMember" abstract="true" name="ResidentialLivingInvestmentsMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="hgit_RetailInvestmentsMember" abstract="true" name="RetailInvestmentsMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="hgit_OtherInvestmentMember" abstract="true" name="OtherInvestmentMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="hgit_DividendsIncurredButNotYetPaid" abstract="false" name="DividendsIncurredButNotYetPaid" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="hgit_RedemptionsIncurredButNotYetPaid" abstract="false" name="RedemptionsIncurredButNotYetPaid" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="hgit_NoncashOfferingCostsPayable" abstract="false" name="NoncashOfferingCostsPayable" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="hgit_NonCashIncreaseDecreaseInDistributionAndStockholderServicingFeesPayable" abstract="false" name="NonCashIncreaseDecreaseInDistributionAndStockholderServicingFeesPayable" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="hgit_WorshipSquareMember" abstract="true" name="WorshipSquareMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="hgit_ClayTerraceMember" abstract="true" name="ClayTerraceMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="hgit_LeftBankMember" abstract="true" name="LeftBankMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="hgit_NetRentableAreaLeasedPercentage" abstract="false" name="NetRentableAreaLeasedPercentage" nillable="true" xbrli:periodType="instant" substitutionGroup="xbrli:item" type="dtr-types:percentItemType"/>
</xs:schema>
